#!/bin/sh
# // THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# // 5724-I63, 5724-H88, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp., 1997,2016
# // All Rights Reserved * Licensed Materials - Property of IBM
# // US Government Users Restricted Rights - Use, duplication or disclosure
# // restricted by GSA ADP Schedule Contract with IBM Corp.
#
# //  DESCRIPTION: This script is called from setupCmdLine.sh and setupClient.sh
################################################################################
. $WAS_HOME/properties/sdk/cmdDefaultSDK.properties

COMMAND_SDK=$COMMAND_DEFAULT_SDK

################################################################################
# If this is the first time here, set the initial java to be used to the highest
# available version.
################################################################################
if [ "$COMMAND_DEFAULT_SDK" = "uninitialized" ]; then 
  FIRSTTIMEVERSION="0"
  DIRS="$WAS_HOME/java/*"
  # Loop through java dirs, looking for highest installed version
  for d in $DIRS; do 
	if [ -f $d/bin/java ]; then 
                SUBDIR=`basename $d`
		NUMERICALSUBDIR=`echo $SUBDIR|sed -e 's/\.//'`
                NUMERICALFIRSTTIMEVERSION=`echo $FIRSTTIMEVERSION|sed -e 's/\.//'`
		if [ "$NUMERICALSUBDIR" -gt "$NUMERICALFIRSTTIMEVERSION" ]; then
			FIRSTTIMEVERSION=$SUBDIR
		fi
	fi
  done
  
# Add on the bit-ness, based on the installed properties file
  if [ -f "$WAS_HOME"/properties/sdk/"$FIRSTTIMEVERSION"_64.properties ] 
  then
    FIRSTTIMEVERSION="$FIRSTTIMEVERSION"_64
  elif [ -f "$WAS_HOME"/properties/sdk/"$FIRSTTIMEVERSION"_32.properties ] 
  then
    FIRSTTIMEVERSION="$FIRSTTIMEVERSION"_32
  else
    FIRSTTIMEVERSION="$FIRSTTIMEVERSION"_31
  fi

  COMMAND_DEFAULT_SDK=$FIRSTTMEVERSION
  COMMAND_SDK=$FIRSTTIMEVERSION
 
  # Pipe the default SDK version into the command and profile default files.
  echo "COMMAND_DEFAULT_SDK=$FIRSTTIMEVERSION" > $WAS_HOME/properties/sdk/cmdDefaultSDK.properties
  echo "com.ibm.websphere.sdkname.newProfileDefaultSDK=$FIRSTTIMEVERSION" > $WAS_HOME/properties/sdk/newProfileDefaultSDK.properties
fi
 
PLATFORM=`/bin/uname`

case $PLATFORM in

	OS/390)
		set -o logical
	;;
esac

if [ "${USE_HIGHEST_AVAILABLE_SDK}" = "true" ]; then
   if [ -f ${WAS_HOME}/bin/sdk/_highest_available_sdk.sh ]; then
       . ${WAS_HOME}/bin/sdk/_highest_available_sdk.sh
       COMMAND_SDK=${HIGHEST_AVAILABLE_SDK}
   fi    
fi

if [ "${USE_COMMAND_OVERRIDE_SDK}" = "true" ]; then
  if [ "${COMMAND_OVERRIDE_SDK}" != "" ]; then
     COMMAND_SDK=${COMMAND_OVERRIDE_SDK}
  fi    
fi 

. $WAS_HOME/bin/sdk/_setupsdk${COMMAND_SDK}.sh

